#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# posh3.py
#
# Configuration de base de données mysql de posh3
#
###########################################################################
"""
    Config pour posh3
"""
from os.path import isdir
from eolesql.config import dico_creole

MOODLE_TABLEFILENAMES = ["/etc/sysconfig/eole/0-posh3.sql"]#,"/etc/sysconfig/eole/1-posh3.sql"]
def test():
    """
        test l'activation de posh3
        test l'existence de posh3 dans mysql
    """
    return dico_creole.get('scribe_envole_posh3', 'non') == 'oui' and \
           not isdir("/var/lib/mysql/posh3")

conf_dict = dict(filenames=MOODLE_TABLEFILENAMES,
                 test=test)

