#-*-coding:utf-8-*-
"""
    Update systématique de la base posh3 (à chaque reconfigure)
"""
from eolesql.config import dico_creole
DB = "posh3"
FILENAMES = ['/etc/sysconfig/eole/1-posh3.sql']

def test_response(result):
    """
        Test si posh3 est bien activé
    """
    return dico_creole.get('scribe_envole_posh3', 'non') == 'oui'

conf_dict = dict(db=DB,
                 expected_response=test_response,
                 filenames=FILENAMES,
                 version='Mise à jour Creole'
                 )
